%bcond_without check

Name:           python-installer
Version:        0.7.0
Release:        %mkrel 5
Summary:        A library for installing Python wheels
Group:          Development/Python
License:        MIT
URL:            https://github.com/pypa/installer
Source:         %{pypi_source installer}
BuildArch:      noarch
BuildRequires:  python3-devel

%description
This is a low-level library for installing a Python package from a wheel
distribution. It provides basic functionality and abstractions for handling
wheels and installing packages from wheels.

%package -n     python3-installer
Summary:        %{summary}

%description -n python3-installer
This is a low-level library for installing a Python package from a wheel
distribution. It provides basic functionality and abstractions for handling
wheels and installing packages from wheels.

%prep
%autosetup -p1 -n installer-%{version}

%generate_buildrequires
%pyproject_buildrequires %{?with_check:tests/requirements.txt}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files installer

%if %{with check}
%check
%pyproject_check_import
%pytest
%endif

%files -n python3-installer -f %{pyproject_files}
%license LICENSE
%doc CONTRIBUTING.md README.md


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.7.0-5.mga10
+ Revision: 2238360
- Mageia 10 Mass Rebuild

* Sat Mar 01 2025 wally <wally> 0.7.0-4.mga10
+ Revision: 2155122
- rebuild for python3.13

* Sat Mar 01 2025 wally <wally> 0.7.0-3.mga10
+ Revision: 2154765
- rebuild for python3.13
+ dlucio <dlucio>
- python-flit-core as BR

* Tue Dec 19 2023 wally <wally> 0.7.0-1.mga10
+ Revision: 2019884
- add RPM group
- mageiafy .spec
- imported package python-installer


* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 0.7.0-2
- Rebuilt for Python 3.12

* Wed Mar 22 2023 Tomáš Hrnčiar <thrnciar@redhat.com> - 0.7.0-1
- Update to 0.7.0

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 28 2022 Charalampos Stratakis <cstratak@redhat.com> - 0.5.1-1
- Initial package (rhbz#2111707)